﻿
/*#region NAME */
/*#endregion */

html, body, form {
    height: 100%;
    margin: 0;
    padding: 0;
    overflow: hidden;
    font-family: ingra;
}

input:focus,
select:focus,
textarea:focus,
button:focus {
    outline: none;
}


/*#region Master Page */
    .MasterPage {
    height: 100%;
    min-width: 625px;
    background-color: #25303B;
}

.SiteHeaderContainer {
    display: flex;
    width: 100%;
    height: 62px;
    background-color: #25303B;
    background-image: linear-gradient(#3a4754, #25303b);
}

.SiteGradiant {
    width: 100%;
    height: 3px;
    background: linear-gradient(to right, #007FC8, #8ABD24);
}

.SiteLogoContainer {
    float: left;
    background-image: linear-gradient(#3a4754, #25303b);
    border: none;
}

.SiteLogo {
    margin: 1px 30px 1px 15px;
}

.SiteMenu {
    float: left;
    font-size: 15px;
    margin: 0 0 1px 0;
    width: 100%;
    border: none;
}

.SiteClockTime {
    font-size: 25px;
    display: block;
    color: white;
    white-space: nowrap;
}

.SiteClockTimeZone {
    font-size: 11px;
    display: block;
    margin-top: -8px;
    color: white;
    white-space: nowrap;
}

.SiteUserName {
    font-size: 11px;
    display: block;
    color: #CDEAFA;
    width: 100%;
    white-space: nowrap;
}

.clock-div {
    float: right;
    text-align: center;
    margin-right: 5px;
}

.settings-div {
    height: 25px;
    width: 25px;
    margin-top: 15px;
    background-image: url('/Images/Master/settings.png');
}

html .RadNavigation .rnvRootGroupWrapper {
    border: none;
}

html .RadNavigation .rnvRootLink {
    padding: 21px 15px 15px 15px;
    height: 61px;
}

html .RadNavigation .rnvRootGroup > .rnvItem {
    margin: 0;
    height: 61px;
}

html .RadNavigation .rnvRootGroup {
    display: block;
    height: 61px;
}

html .RadNavigation .rnvTemplate {
    padding: 0;
}

html .RadNavigation .rnvSelected.rnvMore {
    color: #ffffff;
    background-color: #25303b;
    background-image: linear-gradient(#3a4754, #25303b);
    border-style: none;
}

html .RadNavigation .rnvSelected > .rnvRootLink {
    color: #ffffff;
    background-color: #25303b;
    background-image: linear-gradient(#3a4754, #25303b);
    border-style: none;
}

html .RadNavigation .rnvExpanded > .rnvRootLink {
    color: #ffffff;
    background-color: #25303b;
    background-image: linear-gradient(#3a4754, #25303b);
    border-style: none;
}

html .RadNavigation .rnvSelected > .rnvRootLink:before {
    width: 0;
    border-style: none;
}


html .RadNavigation .rnvFocused.rnvMore {
    box-shadow: none;
    border-style: none;
}

html .RadNavigation .rnvFocused > .rnvRootLink {
    box-shadow: none;
    border-style: none;
}

.MasterContainer {
    height: calc(100% - 63px);
    width: 100%;
}


.NewItemIndicatorUnder {
    font-size: 10px;
    display: block;
    color: #8ABD24;
    width: 100%;
    white-space: nowrap;
    text-align: center;
}

.NewItemIndicator {
    font-size: 10px;
    color: #8ABD24;
    width: 25px;
    text-align: center;
    margin-left: 3px;
}


/*#endregion */

/*#region COMMON */

.vesselTreePanel {
    height: calc(25% - 55px) !important;
}

html .RadPanelBar .rpRootGroup {
    border-style: none;
}

html .RadPanelBar .rpLink {
    border-bottom-style: none;
    color: #CDEAFA;
}

html .RadPanelBar .rpRootLink.rpSelected {
    color: #CDEAFA;
    border-color: #212b35;
    background-color: #25303b;
    background-image: linear-gradient(#3a4754, #25303b);
}

.loadingPanel {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    z-index: 2147483646;
}

.loading {
    background-color: #25303B;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100%;
    z-index: 2147483647;
}

.loadingDiagram {
    background-color: #25303B;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100%;
    z-index: 2147483647;
    border: hidden;
}

.DateRadGrid th.rgHeader {
    padding-top: 3px;
    padding-bottom: 1px;
}

.VesselsPanelBar {
    height: calc(100% - 152px) !important;
}

.VesselsPanelBarCommon {
    height: calc(100% - 117px) !important;
}

.VesselsPanelBarConsumption {
    height: calc(100% - 155px) !important;
}

.rbSubmitDate {
    margin: 10px 0 10px 0;
}

.DatePopupGrad {
    width: 100%;
    height: 2px;
    background: linear-gradient(to right, #007FC8, #8ABD24);
}


.borderLessDialog .rwStatusBar {
    display: none;
}

.borderLessDialog.RadWindow .rwContent {
    border: none;
    padding: 0;
    overflow: hidden !important;
    height: calc(100% - 20px) !important;
}

.borderLessDialog .rwIcon {
    display: none !important;
}

.borderLessDialog .rwTitle {
    padding: 0;
}

.borderLessDialog.RadWindow.rwInactiveWindow {
    opacity: 1;
}

.borderLessDialogRight .rwStatusBar {
    display: none;
}
.borderLessDialogRight {
    float: right;
}

    .borderLessDialogRight.RadWindow .rwContent {
    border: none;
    padding: 0;
    overflow: hidden !important;
    height: calc(100% - 20px) !important;
}

.borderLessDialogRight .rwIcon {
    display: none !important;
}

.borderLessDialogRight .rwTitle {
    padding: 0;
}

.borderLessDialogRight.RadWindow.rwInactiveWindow {
    opacity: 1;
}

.frmTitle {
    text-align: center;
    display: inline-block;
    color: white;
    font-family: ingra;
    font-size: 16px;
    margin: 3px 0 2px 0;
}

html .RadListBox .rlbGroup {
    background-color: #2f3d4b;
}

html .RadTreeView .rtSelected {
    color: #8ABD24;
    font-weight: bolder;
}

.detailChartIcon {
    float: right;
    display: block;
}
/*#endregion */



/*#region Map #001A4C */

.MapContainer {
    margin: 0;
    padding: 0;
    height: 100%;
    width: 100%;
    background-color: #999999;
    background-color: #006994;
    background-color: #25303B;   
    overflow: hidden;
    display: block;
}

.dashboardEngineIndicator {
    background-color: #00577C;
    color: white;
    height: 15px;
    line-height: 15px;
    width: 35px;
    text-align: center;
    align-content: center;
    border-radius: 3px;
    margin: 0 2px 2px 2px;
}

.dashboardLabel {
    text-align: center;
}

.gridUnitLabelRight {
    float: right;
}

.MapMenu {
    z-index: 2147483647 !important;
    font-size: 12px;
}

.mapMenuCheckBox {
    display: block;
}

    .mapMenuCheckBox label {
        position: relative;
        top: -2px;
        margin: 0 0 0 2px;
        font-family: Calibri;
    }


.playbackSlider {
    width: 200px;
    margin: 0 auto 0 auto;
}

    .playbackSlider .rslDraghandle {
        border-color: #ea9600;
        color: #000000;
        background-color: #ea9600;
        background-image: linear-gradient(#ffae1e, #ea9600);
    }

.playbackControlsDiv {
    background-color: #25303B;
    border-radius: 10px;
    height: 20px;
    width: 125px;
    margin: 0 0 2px 0;
    display: flex;
    overflow: hidden;
    justify-content: center;
}

.playbackDate {
    margin-top: 1px;
    font-size: 13px;
}

.fastreverse {
    background: url('/images/map/fastreverse.png') no-repeat;
    cursor: pointer;
    border: none;
    height: 20px;
    width: 20px;
    margin: 0;
    padding: 0;
    border: none;
}

.fastforward {
    background: url('/images/map/fastforward.png') no-repeat;
    cursor: pointer;
    border: none;
    height: 20px;
    width: 20px;
    margin: 0;
    padding: 0;
    border: none;
}



.playback {
    background: url('/images/map/playback.png') no-repeat;
    cursor: pointer;
    border: none;
    height: 20px;
    width: 20px;
    margin: 0 10px 0 10px;
    padding: 0;
    border: none;
}

    .playback.paused {
        background: url('/images/map/pause.png') no-repeat;
    }

.mapSpeed {
    background: url('/images/map/settings.png') no-repeat;
    cursor: pointer;
    border: none;
    height: 17px;
    width: 17px;
    margin: -21px 4px 0 0;
    padding: 0;
    border: none;
    float: right;
}

.mapSliderDiv {
    background-color: #25303B;
    float: right;
    margin: 5px 4px 0 0;
    display: none;
}

.mapSpeedSlider {
    margin: auto;
}

    .mapSpeedSlider .rslVertical .rslDraghandle {
        border-color: #ea9600;
        color: #000000;
        background-color: #ea9600;
        background-image: linear-gradient(#ffae1e, #ea9600);
    }

    .mapSpeedSlider .rslVertical .rslTrack{
        height: 54.35px;
        left: 0;
}



.mapFleetGridHeader {
    margin-top: 1px;
    margin-bottom: 0;
    padding: 0;
}


.FleetDetailsGrid .rgHeader {
    font-size: 13px;
    line-height: 1.25;
}

.mapSetVesselsLatest {
    font-size: 13px;
}


.gridDashWeather .rgHeader {
    line-height: 1.0;
}

.gridDashWeather .rgFilterRow {
    line-height: 1.0;
}


.gridDashWeatherUnits {
    color: white;
    font-size: 10px;
    padding: 0;
    margin: 0;
}





/*#endregion */



/*#region Map InfoWindows */

.mapVesselInfoName {
    font-size: 18px;
    color: white;
    text-align: center;
}

.mapVesselInfoLatLon {
    font-size: 12px;
    color: white;
    margin-top: 2px;
}

#iw-container-vessel .iw-title {
    font-size: 16px;
    font-weight: 400;
    background-color: #000000;
    color: white;
    margin: 1px;
}

.gm-style-iw-container-vessel > div:nth-child(1) > div:nth-child(4) {
    background-color: #000000 !important;
    height: 150px;
    border-color: #EDF4F5 !important;
    border: solid;
    border-width: 2px;
    border-radius: 18px !important;
}

.gm-style-iw-container-vessel > div:nth-child(1) > div:nth-child(2) {
    border-color: #EDF4F5 !important;
    border: solid;
    border-width: 2px;
    border-radius: 18px !important;
}

.gm-style-iw-container-vessel > div:nth-child(1) > div:nth-child(3) > div:nth-child(1) > div {
    background-color: #EDF4F5 !important;
}

.gm-style-iw-container-vessel > div:nth-child(1) > div:nth-child(3) > div:nth-child(2) > div {
    background-color: #EDF4F5 !important;
}


#iw-container-asset .iw-title {
    font-size: 16px;
    font-weight: 400;
    background-color: #000000;
    color: white;
    margin: 1px;
}

.gm-style-iw-container-asset > div:nth-child(1) > div:nth-child(4) {
    background-color: #000000 !important;
    height: 150px;
    border-color: #EDF4F5 !important;
    border: solid;
    border-width: 2px;
    border-radius: 18px !important;
}

.gm-style-iw-container-asset > div:nth-child(1) > div:nth-child(2) {
    border-color: #EDF4F5 !important;
    border: solid;
    border-width: 2px;
    border-radius: 18px !important;
}

.gm-style-iw-container-asset > div:nth-child(1) > div:nth-child(3) > div:nth-child(1) > div {
    background-color: #EDF4F5 !important;
}

.gm-style-iw-container-asset > div:nth-child(1) > div:nth-child(3) > div:nth-child(2) > div {
    background-color: #EDF4F5 !important;
}
/*#endregion */



/*#region Map ContextMenu */
.context_menu {
    background-color: white;
    border: 1px solid gray;
}

.context_menu_item {
    padding: 3px 6px;
    color: black;
}

    .context_menu_item:hover {
        background-color: #CCCCCC;
    }

.context_menu_item_title {
    background-color: #000000;
    padding: 3px 6px;
    color: white;
}

.context_menu_separator {
    background-color: gray;
    height: 1px;
    margin: 0;
    padding: 0;
}
/*#endregion */


/*#Region Map Trip Planning Page */

.rbTrip {
    margin: 5px 2px 5px 2px;
}

.rbTripAddWaypoint{
    width: 25px !important;
    height: 28px;
    min-width: 18px;
    padding: 0;
    margin-left: 5px;
    float: right;
}

.rbTripAddWaypoint .rbText {
        padding: 0 !important;
}

.rbTripUpdate{
    margin: 2px 0 2px 0;
}

/*#endregion */

/*#Region Charts Page */

.chartPageLogo {
    position: absolute;
    height: 80px;
    width: 182px;
    top: 10px;
    left: 15px;
    background-color: red;
    z-index: 10000;
    background: url('/images/common/FUELTRAX_Logo_CMYK_Pos_80H.png');
}

.chartPageLogoSmall {
    position: absolute;
    height: 60px;
    width: 137px;
    top: 10px;
    left: 15px;
    background-color: red;
    z-index: 10000;
    background: url('/images/common/FUELTRAX_Logo_CMYK_Pos_60H.png');
}

#chartHeader-div {
    height: 100px;
}

#chartControls {
    position: absolute;
    height: 80px;
    width: 182px;
    top: 10px;
    right: 10px;
    display: block;
}

.chartCombo {
    padding: 2px 0 0 0;
}

#HtmlChartHolder {
    height: calc(100% - 91px) !important;
    width: 100%;
    background-color: white;
}

#chartExport {
    position: absolute;
    height: 50px;
    width: 55px;
    top: 24px;
    right: 220px;
    display: block;
}

#rbtnExportChart {
    height: 50px;
    width: 55px;
    padding: 2px 7px;
}


.chartPageItem {
    height: 100%;
    width: 100%;
}


.chartTitle {
    margin: 2px auto 0 auto;
    font-size: 22px;
    color: black;
    display: block;
    text-align: center;
    width: 100%;
    font-weight: 500;
}

.chartDate {
    margin: -5px auto 0 auto;
    font-size: 16px;
    color: black;
    display: block;
    text-align: center;
}


#rcbHideZeros.rbCheckBox .rbText {
    color: black;
}
#rcbHideZeros .rbToggleCheckboxChecked {
    color: black;
}

.chartPanelLabel {
}
/*#endregion */


/*#region Economy */
.EconPltPrev7Days {
    float: left;
    margin: 5px 0 -25px 5px !Important;
}

.EconPltNext7Days {
    float: right;
    margin: 5px 5px -25px 0 !Important;
}

.VesselsPanelBarEconomy {
    height: calc(100% - 250px) !important;
}

/*#endregion */

/*#region Engines */
.engExportButton {
    float: left;
    margin: 2px 0 -30px 10px !Important;
    z-index: 10000;
}
/*#endregion */

/*#region Plots */
.pltSliderLabel {
    display: block;
    text-align: center;
    margin-top: 5px;
}

.plotPanel {
    width: 100%;
    height: calc(100% - 24px);
    background-color: #25303B;
}

.frmTitlePlots {
    text-align: center;
    display: inline-block;
    color: white;
    font-family: ingra;
    font-size: 16px;
    margin: 3px 0 2px 0;
    width: calc(100% - 45px);
}
/*#endregion */

/*#region Transfer Tickets */
.ticketCorrectVol {
    font-family: ingra;
    font-size: 13px;
    right: 10px;
    position: absolute;
    margin: 3px 0 -12px 0;
    text-align: center;
    align-content: center;
}

    .ticketCorrectVol label {
        color: #25303B;
        font-weight: 400;
        position: relative;
        top: -2px;
        right: -2px;
    }
/*#endregion */

/*#region Tanks */
.VesselsPanelBarCommonTanks {
    height: calc(100% - 200px) !important;
}

.tanksROBgrid {
    position: absolute;
    bottom: 1px;
}

.robitle {
    text-align: center;
    display: inline-block;
    color: #CDEAFA;
    font-family: ingra;
    font-size: 16px;
    margin: 10px 0 2px 0;
}
/*#endregion */

/*#region Admin */
#admin-container {
    width: 100%;
    height: calc(100% - 24px);
    display: flex;
    flex-direction: row;
}

#units-container {
    width: 50%;
    height: 100%;
}

#user-container {
    width: 50%;
    height: 100%;
}

.UnitsLabelsLeft {
    color: white;
    margin: 2px 3px 3px 10px;
    display: block;
}

.UnitsLabelsErrorOk {
    color: #8ABD24 !important;
    margin: 2px 3px 3px 10px;
    display: block;
}

.UnitsLabelsErrorBad {
    color: red !important;
    margin: 2px 3px 3px 10px;
    display: block;
}

.UnitsTextBox {
    color: black;
    margin: 2px 3px 3px 10px;
    display: block;
    width: 225px;
}

.Unitscontainer {
    display: flex;
    text-align: center;
    justify-content: center;
    align-content: center;
    color: black;
}

.UnitsGradiant {
    display: block;
    margin: 0 auto 5px auto;
    width: 50%;
    height: 3px;
    background: linear-gradient(to right, #007FC8, #8ABD24);
}

.UnitsTitle {
    display: block;
    width: 100%;
    text-align: center;
    margin: 50px auto 5px auto;
}

.UTCTitle {
    display: block;
    width: 100%;
    text-align: center;
    margin: 15px auto 5px auto;
}

/*#endregion */



/*#region Data Export */

#export-container {
    width: 100%;
    height: 100%;
    text-align: center;
}

.DataExportLabel {
    display: block;
    color: white;
    margin-top: 5px;
}

.DataExportDownload {
    display: block;
    margin: 15px auto 0 auto;
}

.DataExportFlex {
    display: flex;
    justify-content: center;
    margin: 0 0 0 0;
    height: 100%;
    width: 100%;
    background-color: #25303B;
    color: white;
}

.DataExportListBox {
    height: calc(100% - 100px);
    margin: 25px 5px 25px 5px;
}

.DataExportLabelParam {
    font-size: large;
    margin: 10px 0 2px 2px;
    display: flex;
}

.ExportGridButton {
    background-color: #8ABD24;
    color: black;
}

.ExportGridHideButton {
    display: none;
}

.ExportEmailCheckbox {
    margin-top: 5px;
}
/*#endregion */


/*#region Alerts Page */
.AlertEditGradiant {
    display: block;
    margin: 0 auto 5px auto;
    width: 100%;
    height: 3px;
    background: linear-gradient(to right, #007FC8, #8ABD24);
}

.AlertEditLabelsLeft {
    color: white;
    margin: 0;
    display: block;
}


.alerts-edit-container {
    display: flex;
    flex-wrap: nowrap;
}

.AlertsUpdateButton {
    margin: 20px 0 0 30px;
}

.AlertWizConfirm {
    margin: 5px auto 0 auto;
    float: right;
}

/*#endregion */

/*#region Proximities Page */

.VerticiesUpdateButton {
    margin: 20px 0 0 40px;
}

.ProxMpaShowAssetsCB label {
    position: relative;
    top: -2px;
    right: -2px;
}

.ProxMouseLoc {
    text-align: center;
    display: inline-block;
    color: white;
    font-family: ingra;
    font-size: 12px;
    margin: 3px 0 2px 0;
}

.ProxValidPoly {
    text-align: center;
    display: inline-block;
    color: #8ABD24;
    font-family: ingra;
    font-size: 12px;
    margin: 3px 0 2px 0;
}

.ProxInvalidPoly {
    text-align: center;
    display: inline-block;
    color: red;
    font-family: ingra;
    font-size: 12px;
    margin: 3px 0 2px 0;
}

.ProxDrawButton {
    margin: 5px auto 5px auto;
}

.ProxUpdateButton {
    margin: 15px 10px 5px auto;
    display: flex;
    float: right;
}

.ProxCancelButton {
    margin: 15px auto 5px auto;
    display: flex;
    float: right;
}

.delete-menu {
    position: absolute;
    background: white;
    padding: 3px;
    color: #666;
    font-weight: bold;
    border: 1px solid #999;
    font-family: sans-serif;
    font-size: 12px;
    box-shadow: 1px 3px 3px rgba(0, 0, 0, .3);
    margin-top: -10px;
    margin-left: 10px;
    cursor: pointer;
}

    .delete-menu:hover {
        background: #eee;
    }



#iw-container-poly .iw-title {
    font-size: 16px;
    font-weight: 400;
    background-color: #000000;
    color: white;
    margin: 1px;
}

.gm-style-iw-container-poly > div:nth-child(1) > div:nth-child(4) {
    background-color: #000000 !important;
    height: 150px;
    border-color: #EDF4F5 !important;
    border: solid;
    border-width: 2px;
    border-radius: 18px !important;
}

.gm-style-iw-container-poly > div:nth-child(1) > div:nth-child(2) {
    border-color: #EDF4F5 !important;
    border: solid;
    border-width: 2px;
    border-radius: 18px !important;
}

.gm-style-iw-container-poly > div:nth-child(1) > div:nth-child(3) > div:nth-child(1) > div {
    background-color: #EDF4F5 !important;
}

.gm-style-iw-container-poly > div:nth-child(1) > div:nth-child(3) > div:nth-child(2) > div {
    background-color: #EDF4F5 !important;
}
/*#endregion */


/*#region Speed Vs Consumption Page */

.SpeedVsConsSlider {
    display: inline-block;
}

.SpeedVsConsSliderDiv {
    display: block;
    text-align: center;
}

.SpeedVConsColorPick {
    display: inline-block;
    z-index: 2147483647;
    overflow: auto;
    margin: -5px 0 0 10px;
}

.SpeedVsConsFilter {
    overflow-x: hidden !important;
}

#ctl00_ContentPlaceHolder1_rpbVessels_i0_rtvFilters1 > ul {
    width: 100%;
}

#ctl00_ContentPlaceHolder1_rpbVessels_i0_rtvFilters2 > ul {
    width: 100%;
}

.rpbSpeedVConsFilters {
    height: calc(100% - 596px);
}

.RadTreeView .rtLI {
    overflow: visible !important;
}

.rbtnExportSpeedVCons {
    position: absolute;
    height: 30px;
    top: 70px;
    right: 10px;
    display: inline;
    z-index: 500000;
}

.rbPopupTheoreticalWindow {
    font-size: 13px;
    margin: 3px auto 3px auto;
    display: block;
}

.rlblTheoreticalHint {
    width: 100%;
    text-align: center;
    margin: 5px auto 5px auto;
    display: block;
}

.rlblSppedSliderLabel {
    width: 100%;
    text-align: center;
    margin: 0 auto -5px auto;
    display: block;
}

/*#endregion */



/*#region Map Weather Menu */

#mapWeather-div {
    float: right;
    margin: auto 10px auto 0 !important;
    z-index: 2147483646;
}

#w-vert-menu {
    background-color: rgba(0,0,0,0.4);
    height: 258px;
    width: 25px;
    border-radius: 25px;
    padding: 2px;
}

    #w-vert-menu li .w-icon-dot {
        display: table-cell;
        vertical-align: middle;
    }

    #w-vert-menu li {
        transition: all .2s;
        -webkit-transition: all .2s;
        position: relative;
        margin: 5px 0 0 0;
        display: block;
        list-style: none;
        font-weight: normal;
        white-space: nowrap;
        cursor: pointer;
    }




    #w-vert-menu .w-icon-dot {
        height: 20px;
        width: 20px;
        border-radius: 20px;
        background-color: rgba(0,0,0,0.3);
    }

    #w-vert-menu .w-text {
        font-family: ingra;
        font-size: 16px;
        color: white;
        height: 22px;
        transition: background-color .2s;
        position: absolute;
        text-shadow: 1px 1px 1px rgba(0,0,0,0.63);
        right: 25px;
        line-height: 1.4;
        padding-right: 11px;
        padding-left: 11px;
        margin: 1.5px 3px 0 0;
        right: 22px;
        top: 0;
        border-radius: 1.2em;
    }

        #w-vert-menu .w-text:hover {
            background-color: rgba(0,0,0,0.5);
            color: #EA9600;
        }

    #w-vert-menu li.selected .w-text {
        background-color: rgba(0,0,0,0.5);
        color: #EA9600;
    }

    #w-vert-menu li.selected .w-icon-dot {
        background-color: #EA9600;
    }

    #w-vert-menu .w-icon-dot:hover {
        background-color: #EA9600;
    }

#mapWeatherLegend-div {
    width: 300px;
    background-color: #7c7c7c;
    white-space: nowrap;
    font-size: 12px;
    box-shadow: 1px 1px 1px rgba(0,0,0,0.63);
    right: 5px !important;
    border-radius: 20px;
    word-spacing: -1.5px;
    letter-spacing: -1.5px;
    margin-top: 10px;
}

    #mapWeatherLegend-div span {
        display: inline-block;
        line-height: 1.5;
        text-align: center;
        vertical-align: middle;
        color: white;
        word-spacing: normal;
        letter-spacing: normal;
    }

        #mapWeatherLegend-div span:first-child {
            border-top-left-radius: 20px;
            border-bottom-left-radius: 20px;
        }

        #mapWeatherLegend-div span:last-child {
            border-top-right-radius: 20px;
            border-bottom-right-radius: 20px;
        }

#mapWeatherLegend-triangle-down {
    width: 0;
    height: 0;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 10px solid #EA9600;
    display: inline-block;
    position: absolute;
}

#mapWeatherLegend-headers {
    width: 300px;
    right: 5px !important;
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin-top: 3px;
}

.mapWeatherLegend-data-header-item {
    background-color: black;
    width: 97px;
    height: 15px;
    border-radius: 7px;
    color: white;
    text-align: center;
    font-size: 12px;
}

#mapWeatherLegend-values {
    width: 300px;
    right: 5px !important;
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin-top: 1px;
}

.mapWeatherLegend-data-value-item {
    background-color: black;
    width: 97px;
    height: 15px;
    border-radius: 7px;
    color: white;
    text-align: center;
    font-size: 12px;
}

#mapWeatherCombobox-div {
    width: 300px;
    right: 5px !important;
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin-top: 2px;
}


#mapWeatherSlider-div {
    width: calc(100% - 400px);
    height: 50px;
    margin: 0 10px 28px 40px;
}


#mapWeatherSlider-inner{
       width: calc(100% - 50px);
}

#mapWeatherPlayPause {
    background: url('/images/map/playback.png') center no-repeat;
    float: left;
    font-size: 25px;
    color: #9D0300;
    width: 1.2em;
    height: 1.2em;
    border-radius: 1.2em;
    background-color: #EA9600;
    display: inline-block;
    margin: 14px 10px 0 0;
    cursor: pointer;


}

    #mapWeatherPlayPause.paused {
        background: url('/images/map/pause.png') center no-repeat;
          background-color: #EA9600;
    }


    #weatherSettings-div {
    background-color: rgba(0,0,0,0.7);
    height: 75px;
    width: 180px;
    position: absolute;
    right: 1px;
    margin-top: 10px;
    border-radius: 5px;

}

    .weatherSettingCheckbox{
        margin: 2px 0 0 5px;
        font-size: 13px;
        display:block;
    }


/*#endregion */




/*#region Bug Tracking */
.tblBugTracking{
    border-collapse: separate !important; 
    border-spacing: 5px !important;
    width: 100%;
}

.tblBugTrackingInner{
    border-collapse: separate !important; 
    border-spacing: 5px !important;
    margin: 10px;
}

/*#endregion */

#altitude-menu, #colors-menu, #particles-menu, #speed-menu {
    background-color: lightgrey;
    padding: 10px;
}

#velocity-label {
    padding: 5px;
    background-color: white;
}

#velocity-scale {
    display: flex;
    flex-flow: row nowrap;
    list-style: none;
    background-color: white;
    padding-left: 0;
}

    #velocity-scale > li {
        width: 50px;
        height: 50px;
        display: flex;
        flex-flow: column nowrap;
        border-right: 1px solid lightgrey;
        font-size: 10px;
    }

        #velocity-scale > li span {
            display: inline-block;
            flex: 0 0 auto;
            height: 25px;
            text-align: center;
            line-height: 25px;
        }



.left-image-gallery {
    display: inline-block;
    float: left;
    padding-right: 50px;
}

.right-image-gallery {
    display: inline-block;
    float: left;
}


/*#region IVIS */
.ivis-flex-container {
  display: flex;
  justify-content: center;
  align-items: center;
  height: calc(100% - 80px);
  flex-wrap: wrap;
}

.ivis-camera-label {
    display: block;
    text-align: center;
    margin: 1px 5px 5px 5px;
}

.ivis-controls-flex-container {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 60px;
  flex-wrap: wrap;
}

#IVISPlayPause {
    background: url('/images/map/playback.png') center no-repeat;
    display: block;
    font-size: 25px;
    color: #9D0300;
    width: 1.2em;
    height: 1.2em;
    border-radius: 1.2em;
    background-color: #EA9600;

    margin: 9px 10px 0 0;
    cursor: pointer;


}

    #IVISPlayPause.paused {
        background: url('/images/map/pause.png') center no-repeat;
          background-color: #EA9600;
    }

    .ivis-slider-label {
    display: block;
    text-align: center;
    margin: 0;
    padding: 0;
}

    .ivis-slider{
        margin: -7px 0 5px 0;
    }

    .ivis-videos-tree {
    height: calc(100% - 185px) !important;
}

/*#endregion */



/*#Route Planning */

.rbRoutePlanningLatLon{
    width: 25px !important;
    height: 28px;
    min-width: 18px;
    padding: 0;
    margin-left: 0 1px 0 0;

}

    .rbRoutePlanningLatLon .rbPrimaryIcon {
        padding: 0 !important;
        margin: 0;
    }

.btnPredictRoute {
    display: block;
    margin: 15px auto 15px auto;
    width: 100px;
    height: 40px;
}


    .btnPredictRoute.rbButton{
        background-image: none !important;
    }

    .btnPredictRoute .rbText {
      color: black;
    }

.rbRouteAddLocOnClick {
    margin: 5px 0 5px 0;
}

.rbRouteAddWaypoint {
    margin: 45px auto 10px auto;
}

.gridWaypoints .rgCancelIcon:before {
    content: "\e11e";
}

.gridWaypoints .rgSaveIcon:before {
    content: "\e11e";
}

/*#endregion */

/*#Daily Consumption */
.VesselsPanelBarDailyConsumption {
    height: calc(100% - 190px) !important;
}

.rbtnDailyConsBack {
    position: absolute;
    top: 70px;
    right: 90px;
    display: inline;
    z-index: 500000;
}


/*#endregion */


/*#Daily RouteSummary */
.overflowVisible {
    overflow: visible !important;
    border:none;
    margin:0;
}

.route-summary-map {
    margin: 0;
    padding: 0;
    height: 50%;
    width: 100%;
    background-color: #999999;
    background-color: #006994;
    background-color: #25303B;
    overflow: hidden;
    display: block;
}

.grid-RouteSummary {
    margin-top: 10px;
    /*position: absolute;
    bottom: 0;
    width: 100%; */
}


.routesummary-title-div {
    width: calc(100% - 138px);
}

.frmTitle-RouteSummary {
    display: inline-block;
    color: #003A5D;
    font-family: ingra;
    font-size: 18px;
    margin: 3px 0 1px -137px;
    font-weight: bold;
    width: calc(100% - 138px);
}
.frmTitle-VesselName {
    display: inline-block;
    color: #003A5D;
    font-family: ingra;
    font-size: 18px;
    margin: 3px auto 0 -137px;
    font-weight: bold;
    width: calc(100% - 138px);
}
.frmTitle-PredictionDate {
    display: inline-block;
    color: #003A5D;
    font-family: ingra;
    font-size: 14px;
    margin-left: -137px;
    width: calc(100% - 138px);
}

.summary-box {
    background-color: #25303B;
    width: 150px;
    height: 80px;
    opacity: 1;
    border-radius: 15px;
    margin: 0;
}

.summary-box-title {
    text-align: center;
    display: inline-block;
    color: white;
    font-family: ingra;
    font-size: 16px;
}

.summary-box-units {
    text-align: center;
    display: inline-block;
    color: white;
    font-family: ingra;
    font-size: 14px;
}

.summary-box-value {
    text-align: center;
    display: inline-block;
    color: #EA9600;
    font-family: ingra;
    font-size: 28px;
    font-weight: bold;
}

.leg-summary-box {
    width: 100px;
    height: 30px;
    margin: 0 0 6px 0;
}

.leg-summary-box-title {
    text-align: center;
    display: block;
    color: white;
    font-family: ingra;
    font-size: 13px;
    margin: 0;
}

.leg-summary-box-value {
    text-align: center;
    display: block;
    color: #EA9600;
    font-family: ingra;
    font-size: 16px;
    font-weight: bold;
    margin: 0;
    padding: 0;
}


.leg-weather {
    height: 250px;
    width: 300px;
    background-color: #25303B;
}

.chartPageLogoSmall-float {
    height: 60px;
    width: 137px;
    float: left;
    background-color: red;
    z-index: 10000;
    background: url('/images/common/FUELTRAX_Logo_CMYK_Pos_60H.png');
    display: inline;
}

/*#endregion */
    .VesselsPanelBarConsumptionAnomaly {
    height: calc(100% - 385px) !important;
}

.back-button-container {
    text-align: center;
    height: 40px;
    position: absolute;
    top: 7px;
    right: 45px;
}